#! /bin/sh
##
##  honeyd.service -- small honeyd(8) service faking script
##  Copyright (c) 2003 The OpenPKG Project <http://www.openpkg.org/>
##

#   honeyd(8) provides:
#   $HONEYD_PERSONALITY
#   $HONEYD_IP_SRC, $HONEYD_SRC_PORT
#   $HONEYD_IP_DST, $HONEYD_DST_PORT

service="$1"
shift

case $service in
    http )
        line="true"
        while $line; do
            read line
        done
        echo "HTTP/1.1 404 Not Found"
        echo "Date: `date`"
        echo "Server: Apache"
        echo "Connection: close"
        echo "Content-Type: text/plain; charset=iso-8859-1"
        echo ""
        echo "Error: 404 Not Found"
        exit 0
        ;;
    ssh )
        echo "SSH-1.5-2.40"
        read line
        echo "Protocol mismatch."
        exit 0
        ;;
esac

